Bug 1024993 - (CVE-2017-5957) VUL-0: CVE-2017-5957: virglrenderer: stack overflow in vrend_decode_set_framebuffer_state
(CVE-2017-5957)
VUL-0: CVE-2017-5957: virglrenderer: stack overflow in vrend_decode_set_frame...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Lin Ma
Security Team bot
CVSSv2:RedHat:CVE-2017-5957:3.8:(AV:A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-13 11:38 UTC by Mikhail Kasimov
Modified: 2018-02-16 07:33 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Kasimov 2017-02-13 11:38:03 UTC
Ref: http://seclists.org/oss-sec/2017/q1/417
============================================
  Hello,

Virgil 3d project, used by Quick Emulator(Qemu) to implement 3D GPU support for the virtio GPU, is vulnerable to an stack buffer overflow issue. It could occur when in vrend_decode_set_framebuffer_state.


A guest user/process could use this flaw to crash the Qemu process instance resulting DoS.


Upstream patch:
---------------
  -> https://cgit.freedesktop.org/virglrenderer/commit/?id=926b9b3460a48f6454d8bbe9e44313d86a65447f

Reference:
----------
  -> https://bugzilla.redhat.com/show_bug.cgi?id=1421126

This issue was reported by Li Qiang of 360.cn Inc.

'CVE-2017-5957' assigned via -> https://cveform.mitre.org/

Thank you.
--
Prasad J Pandit / Red Hat Product Security Team
47AF CE69 3A90 54AA 9045 1053 DD13 3D32 FE5B 041F
============================================
Comment 1 Matthias Gerstner 2017-02-13 14:31:22 UTC
This affects our only codestream in:

SUSE:SLE-12-SP2:Update/virglrenderer/virglrenderer-0.5.0/src/vrend_decode.c:131
Comment 2 Swamp Workflow Management 2017-02-13 23:01:11 UTC
bugbot adjusting priority
Comment 3 Swamp Workflow Management 2017-03-22 20:09:57 UTC
SUSE-SU-2017:0798-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1021616,1021627,1024232,1024244,1024992,1024993,1025505,1025507,1026723,1026725,1026922,1027108,1027376
CVE References: CVE-2016-10163,CVE-2016-10214,CVE-2017-5580,CVE-2017-5937,CVE-2017-5956,CVE-2017-5957,CVE-2017-5993,CVE-2017-5994,CVE-2017-6209,CVE-2017-6210,CVE-2017-6317,CVE-2017-6355,CVE-2017-6386
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Server 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    virglrenderer-0.5.0-11.1
Comment 4 Swamp Workflow Management 2017-03-31 16:15:52 UTC
openSUSE-SU-2017:0902-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1021616,1021627,1024232,1024244,1024992,1024993,1025505,1025507,1026723,1026725,1026922,1027108,1027376
CVE References: CVE-2016-10163,CVE-2016-10214,CVE-2017-5580,CVE-2017-5937,CVE-2017-5956,CVE-2017-5957,CVE-2017-5993,CVE-2017-5994,CVE-2017-6209,CVE-2017-6210,CVE-2017-6317,CVE-2017-6355,CVE-2017-6386
Sources used:
openSUSE Leap 42.2 (src):    virglrenderer-0.5.0-3.3.1
Comment 5 Marcus Meissner 2018-02-16 07:33:49 UTC
released